matrix:
  platform: ["ubuntu2204", "macos", "macos_arm64"]
  bazel: [7.x, 8.x, rolling]
tasks:
  run_tests_unix:
    name: run tests
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_flags:
    - '--java_language_version=21'
    - '--java_runtime_version=21'
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    test_targets:
    - '@bazel_worker_java//...'
  run_tests_windows:
    name: run tests (windows)
    platform: windows
    bazel: ${{ bazel }}
    test_flags:
    - '--java_language_version=21'
    - '--java_runtime_version=21'
    - '--cxxopt=/std:c++17'
    - '--host_cxxopt=/std:c++17'
    - '--define=protobuf_allow_msvc=true'
    test_targets:
    - '@bazel_worker_java//...'
